Package org.eclipse.osgi.service.runnable

## Interface ApplicationLauncher

    public interface ApplicationLauncher

An ApplicationLauncher is used to launch ParameterizedRunnable objects using the main thread.

This interface is not intended to be implemented by clients.

This class is for internal use by the platform-related plug-ins. Clients outside of the base platform should not reference or subclass this class.

Since:
  3.2
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `launch​(ParameterizedRunnable runnable, Object context)` Launches the specified runnable using the main thread.
`void` `shutdown()` Forces the current runnable which is running to be stopped.

### Method Detail

#### launch

    void launch​(ParameterizedRunnable runnable,
                Object context)

Launches the specified runnable using the main thread.

Parameters:
  `runnable` - a ParameterizedRunnalbe to run on the main thread.
  `context` - the context to launch the runnable with

#### shutdown

    void shutdown()

Forces the current runnable which is running to be stopped. This method will return after the currently running ParameterizedRunnable has completely stopped.

After this method returns this ApplicationLauncher will no longer allow applications to be launched.